/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package reprezentaciagrafu_3;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

/**
 *
 * @author majer
 */
public class Graf 
{
    private int aN; // pocet vrcholov
    private int aM; // pocet hran
    private int[][] aH; // hrany
    
    public Graf(int paPocetVrcholov, int paPocetHran)
    {
        aN = paPocetVrcholov;
        aM = paPocetHran;
        aH = new int[1+3][1+aM];
    }
    
    public static Graf nacitajSubor(String nazovSuboru) 
            throws FileNotFoundException
    {
        Scanner s = new Scanner(new File(nazovSuboru));
        int pocetVrcholov = s.nextInt();
        int pocetHran = s.nextInt();
        Graf g = new Graf(pocetVrcholov,pocetHran);
        
        for (int j = 1; j <= pocetHran; j++)
        {
            int u = s.nextInt();
            int v = s.nextInt();
            int c = s.nextInt();
            
            g.aH[1][j] = u;
            g.aH[2][j] = v;
            g.aH[3][j] = c;
        }
        
        return g;
    }
    
    public void vypis()
    {
        System.out.println("Pocet vrcholov: " + aN);
        System.out.println("Pocet hran: " + aM);
        System.out.println("Hrany: ");
        for (int k = 1; k <= 3; k++)
        {
            for(int j = 1; j <= aM; j++)
            {
                System.out.print("\t" + aH[k][j]);
            }
            System.out.println();
        }
    }
    
    public int stupenVrcholu(int paV)
    {
        // pocet incidentnych hran
        int pocet = 0;
        for (int j = 1; j <= aM; j++)
        {
            if (aH[1][j] == paV || aH[2][j] == paV)
            {
                // mam incidentnu hranu
                pocet++;
            }
        }
        
        return pocet;
    }
}
